Bug 1266764 - selinux blocks delivery on quota-warning
selinux blocks delivery on quota-warning
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 10:21 EDT by Peter Meier
Modified: 2017-08-08 08:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:16:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Meier 2015-09-27 10:21:53 EDT
Description of problem:

Setup quota warning as described on http://wiki2.dovecot.org/Quota/Configuration#Quota_warnings including the notification script:

When a warning is triggered and it tries to notify the user, the delivery gets blocked by selinux:

type=AVC msg=audit(1443362744.277:2800): avc:  denied  { getattr } for  pid=15384 comm="quota-warning.s" path="/usr/libexec/dovecot/dovecot-lda" dev="dm-1" ino=143453 scontext=system_u:system_r:dovecot_t:s0 tcontext=system_u:object_r:dovecot_deliver_exec_t:s0 tclass=file

Would need the following policy

module dovecot-quota-warning 1.0;

require {
        type dovecot_t;
        type dovecot_deliver_exec_t;
        class file { read execute open getattr execute_no_trans };
}

#============= dovecot_t ==============
allow dovecot_t dovecot_deliver_exec_t:file { read execute open getattr execute_no_trans };


Version-Release number of selected component (if applicable):

2.2.18
Comment 1 Jan Kurik 2016-02-24 10:50:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 11:09:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2017-07-25 15:19:32 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:16:35 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.